﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Security.RightsManagement;
using System.Text;
using System.Threading.Tasks;

namespace XDGDeactivatedContainersCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }
        public ObservableCollection<OtherData> Data2 { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            Data2 = new ObservableCollection<OtherData>();

            for (int i = 0; i < 15000; i++)
            {
                Data2.Add(new OtherData()
                {
                    ID = i,
                    Label = "Label " + i.ToString(),
                    OtherNumber1 = r.Next(1000),
                    OtherNumber2 = r.Next(1000),
                    OtherNumber3 = r.Next(1000),
                });
            }

            for(int i=0; i < 15000; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Label = "Label " + i.ToString(),
                    Number1 = r.Next(1000),
                    Number2 = r.Next(1000),
                    Number3 = r.Next(1000),
                    Number4 = r.Next(1000),
                    Number5 = r.Next(1000),
                    Number6 = r.Next(1000),
                    List = Data2
                });

                
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number1 { get; set; }
        public int Number2 { get; set; }
        public int Number3 { get; set; }
        public int Number4 { get; set; }
        public int Number5 { get; set; }
        public int Number6 { get; set; }

        public IEnumerable<OtherData> List { get; set; } 
    }

    public class OtherData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int OtherNumber1 { get; set; }
        public int OtherNumber2 { get; set; }
        public int OtherNumber3 { get; set; }       
    }
}
